#!/usr/bin/perl

use Kismet;

#create a instance for each server
$k = new Kismet("localhost", 2501);

#register callbacks for protocols, callback called with ref to hash
$k->register("info", \&info);				#entire info protocol
$k->register("time", \&timestamp, "*");			#same
$k->register("network", \&network, "ssid,channel,wep");	#only some

#runs until server goes down
KismetRun($k);

print "Server Terminated\n";

sub info {
	my $info = shift;
	print "Have seen $info->{'networks'} networks, " .
		"$info->{'packets'} packets\n"
}

sub timestamp {
	my $time = shift;
	print "Server time is ";
	print join ":", (gmtime($time->{'timesec'}))[2,1,0];
	print "\n";
}

sub network {
	my $network = shift;
	print "Network '$network->{'ssid'}': Channel $network->{'channel'} " .
		($network->{'wep'} ? "WEP enabled\n" : "WEP disabled\n");
}
